IOSTAT(8)

NAME
iostat - report I/O statistics

SYNOPSIS
iostat [-c count] [-M core] [-N system] [-w wait] [drives]

DESCRIPTION
Iostat displays kernel I/O statistics on terminal, disk and cpu operations.

The options are as follows:

-c  Repeat the display count times. The first display is for the time since a reboot and each subsequent report is for the time period since the last display. If no wait interval is specified, the default is 1 second.

-M  Extract values associated with the name list from the specified core instead of the default “/dev/kmem”.

-N  Extract the name list from the specified system instead of the default “/kernel”.

-w  Pause wait seconds between each display. If no repeat count is specified, the default is infinity.

Iostat displays its information in the following format:

tty
    tin characters read from terminals
    tout
        characters written to terminals

disks
    Disk operations (this field is system dependent). The header of the field is the disk name and unit number. If more than four disk drives are configured in the system, iostat displays only the first four drives. To force iostat to display specific drives, their names may be supplied on the command line.

    sps sectors transferred per second
    tps transfers per second
    msps
        milliseconds per average seek (including implied seeks and rotational latency)

cpu
    us  % of cpu time in user mode
    ni  % of cpu time in user mode running niced processes
    sy  % of cpu time in system mode
    in  % of cpu time in interrupt mode
    id  % of cpu time in idle mode

FILES
/kernel
    Default kernel namelist.
/dev/kmem
    Default memory file.

SEE ALSO
fstat(1), netstat(1), nfsstat(1), ps(1), systat(1), vmstat(1), pstat(8)

The sections starting with ``Interpreting system activity'' in